import { IRequestSender, ISuperAgentRequestFactory } from "@studyportals/mb-platform-http-requests";
import { FilterType } from "./filter-type";
import { IGetOrganisationCardsReponse } from "./i-get-organisation-cards-response";
import { IOrganisationCard } from "@studyportals/domain-client";
export declare class RankingApiClient {
    private readonly apiUriBase;
    private readonly requestFactory;
    private readonly requestSender;
    constructor(apiUriBase: string, requestFactory: ISuperAgentRequestFactory, requestSender: IRequestSender);
    getOrganisationCards(filters: FilterType[], limit: number, offset: number): Promise<IGetOrganisationCardsReponse<IOrganisationCard>>;
    private constructUri;
}
